{"openapi":"3.1.0","info":{"title":"FastAPI","version":"0.1.0"},"paths":{"/api/analytics/daily-usage":{"get":{"tags":["Analytics"],"summary":"[Internal] Get daily usage","operationId":"get_daily_usage_api_analytics_daily_usage_get","parameters":[{"name":"date_from","in":"query","required":true,"schema":{"type":"string","format":"date","title":"Date From"}},{"name":"date_to","in":"query","required":true,"schema":{"type":"string","format":"date","title":"Date To"}},{"name":"usage_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/UsageType"},{"type":"null"}],"title":"Usage Type"}},{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DailyUsageResponseDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/analytics/trends":{"get":{"tags":["Analytics"],"summary":"[Internal] Get usage trends","operationId":"get_usage_trends_api_analytics_trends_get","parameters":[{"name":"months","in":"query","required":false,"schema":{"type":"integer","default":12,"title":"Months"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageTrendsResponseDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/approvals/eligible-approvers":{"get":{"tags":["Approvals"],"summary":"Users and roles that may be named as approvers","operationId":"list_eligible_approvers_api_approvals_eligible_approvers_get","parameters":[{"name":"document_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"description":"Narrow the list to principals who can open this document -- its business unit and its protected tags. Cannot be combined with business_unit_id.","title":"Document Id"},"description":"Narrow the list to principals who can open this document -- its business unit and its protected tags. Cannot be combined with business_unit_id."},{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"description":"Narrow the list to principals authorized on this business unit. Cannot be combined with document_id.","title":"Business Unit Id"},"description":"Narrow the list to principals authorized on this business unit. Cannot be combined with document_id."}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EligibleApproversDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/api-keys":{"post":{"tags":["Api keys"],"summary":"[Internal] Create api key","operationId":"api_key_create_api_api_keys_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateApiKeyRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Api keys"],"summary":"[Internal] List api keys","operationId":"list_api_keys_api_api_keys_get","parameters":[{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}},{"name":"active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Active"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListApiKeysResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/api-keys/{api_key_id}":{"get":{"tags":["Api keys"],"summary":"[Internal] Get api key by id","operationId":"api_key_get_by_id_api_api_keys__api_key_id__get","parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Api Key Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Api keys"],"summary":"[Internal] Delete api key","operationId":"api_key_delete_api_api_keys__api_key_id__delete","parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Api Key Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Api keys"],"summary":"[Internal] Update api key","operationId":"api_key_update_api_api_keys__api_key_id__patch","parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Api Key Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiKeyRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/api-keys/{api_key_id}/status":{"patch":{"tags":["Api keys"],"summary":"[Internal] Update api key status","operationId":"api_key_update_status_api_api_keys__api_key_id__status_patch","parameters":[{"name":"api_key_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Api Key Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateApiKeyStatusRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/background-tasks/{task_id}":{"get":{"tags":["Background Tasks"],"summary":"Get the status of a background task by id","operationId":"get_background_task_api_background_tasks__task_id__get","parameters":[{"name":"task_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Task Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BackgroundTaskStatusDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/batch/upload-url":{"get":{"tags":["Processing entities"],"summary":"[External] Upload batch url","operationId":"batch_upload_url_api_v1_batch_upload_url_get","parameters":[{"name":"file_name","in":"query","required":true,"schema":{"type":"string","title":"File Name"}},{"name":"content_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Content Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchUploadUrlDto"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/batch/download-urls":{"get":{"tags":["Processing entities"],"summary":"[External] Download batch url","operationId":"batch_download_url_api_v1_batch_download_urls_get","parameters":[{"name":"poll_key","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Poll Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchDownloadUrlDto"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/batch/process-document":{"post":{"tags":["Processing entities"],"summary":"[External] Process batch document","operationId":"batch_process_document_api_v1_batch_process_document_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchProcessDocumentRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/batch/process-document/upload":{"post":{"tags":["Processing entities"],"summary":"[External] Process batch document (multipart upload)","operationId":"batch_process_document_upload_api_v1_batch_process_document_upload_post","requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_batch_process_document_upload_api_v1_batch_process_document_upload_post"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/batch/poll-document":{"get":{"tags":["Processing entities"],"summary":"[External] Poll batch document","operationId":"batch_poll_document_api_v1_batch_poll_document_get","parameters":[{"name":"poll_key","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Poll Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BatchPollDocumentQueryResult"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units":{"get":{"tags":["Business Units"],"summary":"[Internal] List business units","operationId":"list_business_units_api_business_units_get","parameters":[{"name":"active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Active"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"count_invoices_waiting_review","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Count Invoices Waiting Review"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListBusinessUnitsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Business Units"],"summary":"[Internal] Create business unit","operationId":"business_unit_create_api_business_units_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBusinessUnitRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessUnitDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/simple":{"post":{"tags":["Business Units"],"summary":"[External] Create a simple business unit","operationId":"business_unit_create_simple_api_business_units_simple_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSimpleBusinessUnitRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessUnitDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/validate-email":{"get":{"tags":["Business Units"],"summary":"[Internal] Validate business unit email","operationId":"validate_business_unit_email_api_business_units_validate_email_get","parameters":[{"name":"email","in":"query","required":true,"schema":{"type":"string","title":"Email"}},{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidateEmailResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}/delete-async":{"post":{"tags":["Business Units"],"summary":"[Internal] Delete business unit","operationId":"business_unit_delete_async_api_business_units__business_unit_id__delete_async_post","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}":{"get":{"tags":["Business Units"],"summary":"[Internal] Get business unit by id","operationId":"business_unit_get_by_id_api_business_units__business_unit_id__get","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessUnitDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Business Units"],"summary":"[Internal] Update business unit","operationId":"update_business_unit_api_business_units__business_unit_id__patch","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessUnitRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessUnitDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}/list-minimax-suppliers":{"get":{"tags":["Business Units"],"summary":"[Internal] List Minimax suppliers for business unit","operationId":"list_minimax_suppliers_for_business_unit_api_business_units__business_unit_id__list_minimax_suppliers_get","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListMinimaxSuppliersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}/create-minimax-supplier":{"post":{"tags":["Business Units"],"summary":"[Internal] Create Minimax supllier","operationId":"create_minimax_supplier_api_business_units__business_unit_id__create_minimax_supplier_post","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateMinimaxSupplierRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MinimaxCustomer"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}/status":{"patch":{"tags":["Business Units"],"summary":"[Internal] Update business unit state","operationId":"state_change_business_unit_api_business_units__business_unit_id__status_patch","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBusinessUnitStateRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessUnitDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/business-units/{business_unit_id}/waiting-review":{"get":{"tags":["Business Units"],"summary":"List invoices waiting review for business unit","operationId":"list_invoices_waiting_review_api_business_units__business_unit_id__waiting_review_get","parameters":[{"name":"business_unit_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/campaigns/active":{"get":{"tags":["Campaigns"],"summary":"[Internal] Get the active announcement campaign","description":"Serve the active campaign, or 204 when none is running.\nNo `get_authorization_context` dependency: campaigns are global","operationId":"get_active_campaign_api_campaigns_active_get","parameters":[{"name":"locale","in":"query","required":false,"schema":{"anyOf":[{"type":"string","maxLength":35},{"type":"null"}],"title":"Locale"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActiveCampaignResponse"}}}},"204":{"description":"No campaign is currently active."},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/campaigns":{"post":{"tags":["Campaigns"],"summary":"[Internal] Create a campaign","operationId":"create_campaign_api_campaigns_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCampaignRequest"}}},"required":true},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/campaigns/{slug}":{"patch":{"tags":["Campaigns"],"summary":"[Internal] Update a campaign","description":"Partially update a campaign. Platform admins only.\n\nDeactivating a live campaign is `{\"is_active\": false}`; the slug itself is\nimmutable, see UpdateCampaignRequest.","operationId":"update_campaign_api_campaigns__slug__patch","parameters":[{"name":"slug","in":"path","required":true,"schema":{"type":"string","title":"Slug"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateCampaignRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CampaignResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/document-types":{"post":{"tags":["DocumentTypes"],"summary":"[Internal] Create document_type","operationId":"document_type_create_api_document_types_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDocumentTypeRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["DocumentTypes"],"summary":"[Internal] List document_types","operationId":"list_document_types_api_document_types_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}},{"name":"order_by_column","in":"query","required":false,"schema":{"type":"string","default":"created_at","title":"Order By Column"}},{"name":"from_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"From Date"}},{"name":"to_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"To Date"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentTypesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/document-types/{document_type_id}":{"get":{"tags":["DocumentTypes"],"summary":"[Internal] Get document_type by id","operationId":"document_type_get_by_id_api_document_types__document_type_id__get","parameters":[{"name":"document_type_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Type Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["DocumentTypes"],"summary":"[Internal] Delete document_type","operationId":"document_type_delete_api_document_types__document_type_id__delete","parameters":[{"name":"document_type_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Type Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["DocumentTypes"],"summary":"[Internal] Update document_type","operationId":"document_type_update_api_document_types__document_type_id__patch","parameters":[{"name":"document_type_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Type Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDocumentTypeRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentTypeDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/events":{"get":{"tags":["Events"],"summary":"[Internal] Events","operationId":"list_events_api_events_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"aggregate_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListEventsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/fields":{"post":{"tags":["Fields"],"summary":"[Internal] Create field","operationId":"field_create_api_fields_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFieldRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FieldDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Fields"],"summary":"[Internal] List fields","operationId":"list_fields_api_fields_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}},{"name":"order_by_column","in":"query","required":false,"schema":{"type":"string","default":"created_at","title":"Order By Column"}},{"name":"from_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"From Date"}},{"name":"to_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"To Date"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListFieldsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/fields/{field_id}":{"get":{"tags":["Fields"],"summary":"[Internal] Get field by id","operationId":"field_get_by_id_api_fields__field_id__get","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Field Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FieldDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Fields"],"summary":"[Internal] Delete field","operationId":"field_delete_api_fields__field_id__delete","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Field Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Fields"],"summary":"[Internal] Update field","operationId":"field_update_api_fields__field_id__patch","parameters":[{"name":"field_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Field Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateFieldRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FieldDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/integrations":{"get":{"tags":["Integrations"],"summary":"List tenant integrations","operationId":"integration_list_api_v2_integrations_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListIntegrationsResponse"}}}}}},"post":{"tags":["Integrations"],"summary":"Create tenant integration","operationId":"integration_create_api_v2_integrations_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIntegrationRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v2/integrations/{integration_type}":{"patch":{"tags":["Integrations"],"summary":"Update tenant integration","operationId":"integration_update_api_v2_integrations__integration_type__patch","parameters":[{"name":"integration_type","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationName"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIntegrationRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Integrations"],"summary":"Delete tenant integration","operationId":"integration_delete_api_v2_integrations__integration_type__delete","parameters":[{"name":"integration_type","in":"path","required":true,"schema":{"$ref":"#/components/schemas/IntegrationName"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/aspsps":{"get":{"tags":["Finances - Bank"],"summary":"List available banks (ASPSPs)","operationId":"get_aspsps_api_finances_bank_aspsps_get","parameters":[{"name":"country","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country"}},{"name":"psu_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Psu Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AspspDTO"},"title":"Response Get Aspsps Api Finances Bank Aspsps Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/connect":{"post":{"tags":["Finances - Bank"],"summary":"Start bank connection auth flow","operationId":"connect_bank_api_finances_bank_connect_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConnectBankRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartAuthDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/callback":{"post":{"tags":["Finances - Bank"],"summary":"Handle bank auth callback","operationId":"bank_callback_api_finances_bank_callback_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankCallbackRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankConnectionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/callback/failure":{"post":{"tags":["Finances - Bank"],"summary":"Report a failed bank authorization","operationId":"bank_callback_failure_api_finances_bank_callback_failure_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAuthFailureRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankAuthFailureDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/connections":{"get":{"tags":["Finances - Bank"],"summary":"List bank connections","operationId":"list_connections_api_finances_bank_connections_get","parameters":[{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankConnectionDTO"},"title":"Response List Connections Api Finances Bank Connections Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/connections/{connection_id}":{"get":{"tags":["Finances - Bank"],"summary":"Get bank connection details","operationId":"get_connection_api_finances_bank_connections__connection_id__get","parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Connection Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankConnectionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Finances - Bank"],"summary":"Delete bank connection","operationId":"delete_connection_api_finances_bank_connections__connection_id__delete","parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Connection Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/connections/{connection_id}/reauth":{"post":{"tags":["Finances - Bank"],"summary":"Start re-authentication flow","operationId":"start_reauth_api_finances_bank_connections__connection_id__reauth_post","parameters":[{"name":"connection_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Connection Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReauthRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartAuthDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/blocked-ibans":{"get":{"tags":["Finances - Bank"],"summary":"List a business unit's blocked IBANs","operationId":"list_blocked_ibans_api_finances_bank_blocked_ibans_get","parameters":[{"name":"business_unit_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BlockedIbanDTO"},"title":"Response List Blocked Ibans Api Finances Bank Blocked Ibans Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"put":{"tags":["Finances - Bank"],"summary":"Replace a business unit's blocked IBANs with the given full list","operationId":"update_blocked_ibans_api_finances_bank_blocked_ibans_put","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateBlockedIbansRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BlockedIbanDTO"},"title":"Response Update Blocked Ibans Api Finances Bank Blocked Ibans Put"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/bank/blocked-transactions/summary":{"get":{"tags":["Finances - Bank"],"summary":"Count of a business unit's hidden transactions, per blocked category","operationId":"get_blocked_transactions_summary_api_finances_bank_blocked_transactions_summary_get","parameters":[{"name":"business_unit_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockedTransactionsSummaryDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/cash-flow":{"get":{"tags":["Finances - Cash Flow"],"summary":"Get cash flow data","operationId":"get_cash_flow_api_finances_cash_flow_get","parameters":[{"name":"period_days","in":"query","required":false,"schema":{"type":"integer","maximum":365,"minimum":1,"default":30,"title":"Period Days"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashFlowDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/documents/{document_id}/match":{"post":{"tags":["Finances"],"summary":"Manually match document to transaction","operationId":"manual_match_api_finances_documents__document_id__match_post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ManualMatchRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentRecordDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/documents/{document_id}/match/{record_id}":{"delete":{"tags":["Finances"],"summary":"Remove a payment record (unmatch)","operationId":"unmatch_api_finances_documents__document_id__match__record_id__delete","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}},{"name":"record_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Record Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/documents/{document_id}/payment":{"post":{"tags":["Finances"],"summary":"Record a payment for a document","operationId":"record_payment_api_finances_documents__document_id__payment_post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordPaymentRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentRecordDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/documents/{document_id}/mark-as-not-applicable":{"post":{"tags":["Finances"],"summary":"Mark document payment as not applicable","operationId":"mark_as_not_applicable_api_finances_documents__document_id__mark_as_not_applicable_post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/documents/{document_id}/mark-as-scheduled":{"post":{"tags":["Finances"],"summary":"Mark document payment as scheduled","operationId":"mark_as_scheduled_api_finances_documents__document_id__mark_as_scheduled_post","parameters":[{"name":"document_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Document Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/transactions/filter":{"post":{"tags":["Finances"],"summary":"Filter transactions","operationId":"filter_transactions_api_finances_transactions_filter_post","parameters":[{"name":"business_unit_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}},{"name":"order_by_column","in":"query","required":false,"schema":{"type":"string","default":"created_at","title":"Order By Column"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterTransactionsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTransactionsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/finances/overview":{"get":{"tags":["Finances - Overview"],"summary":"Get finance overview KPIs","operationId":"get_finance_overview_api_finances_overview_get","parameters":[{"name":"business_unit_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FinanceOverviewDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/logs":{"post":{"tags":["Logs"],"summary":"[Internal] Post logs","operationId":"upload_tauri_logs_api_logs_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogUploadRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogUploadResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications":{"get":{"tags":["Notifications"],"summary":"List notifications","operationId":"list_notifications_api_notifications_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer","maximum":100,"minimum":1},{"type":"null"}],"default":50,"title":"Limit"}},{"name":"include_superseded","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Superseded"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications/unread-count":{"get":{"tags":["Notifications"],"summary":"Get unread notification count","operationId":"get_unread_count_api_notifications_unread_count_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Get Unread Count Api Notifications Unread Count Get"}}}}}}},"/api/notifications/{notification_id}/download":{"get":{"tags":["Notifications"],"summary":"Get a fresh download URL for a notification's file","operationId":"get_download_url_api_notifications__notification_id__download_get","parameters":[{"name":"notification_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Notification Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotificationDownloadUrlResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications/{notification_id}/read":{"patch":{"tags":["Notifications"],"summary":"Mark notification as read","operationId":"mark_as_read_api_notifications__notification_id__read_patch","parameters":[{"name":"notification_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Notification Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications/{notification_id}/unread":{"patch":{"tags":["Notifications"],"summary":"Mark notification as unread","operationId":"mark_as_unread_api_notifications__notification_id__unread_patch","parameters":[{"name":"notification_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Notification Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications/{notification_id}":{"delete":{"tags":["Notifications"],"summary":"Delete notification","operationId":"delete_notification_api_notifications__notification_id__delete","parameters":[{"name":"notification_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Notification Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/notifications/mark-all-read":{"post":{"tags":["Notifications"],"summary":"Mark all notifications as read","operationId":"mark_all_read_api_notifications_mark_all_read_post","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"additionalProperties":true,"type":"object","title":"Response Mark All Read Api Notifications Mark All Read Post"}}}}}}},"/api/v1/invoice/text-blocks":{"get":{"tags":["Processing entities"],"summary":"[External] Invoice text blocks","operationId":"invoice_text_blocks_api_v1_invoice_text_blocks_get","parameters":[{"name":"inv_key","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Inv Key"}},{"name":"page_number","in":"query","required":true,"schema":{"type":"integer","maximum":100,"exclusiveMinimum":0,"title":"Page Number"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/{endpoint_version}/poll-invoice":{"get":{"tags":["Processing entities"],"summary":"[External] Poll invoice","operationId":"poll_invoice_api__endpoint_version__poll_invoice_get","parameters":[{"name":"endpoint_version","in":"path","required":true,"schema":{"enum":["v1","v2"],"type":"string","title":"Endpoint Version"}},{"name":"inv_key","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Inv Key"}},{"name":"eslog","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Eslog"}},{"name":"number_of_pages","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Number Of Pages"}},{"name":"add_candidates","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Add Candidates"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/poll-invoice/blocks":{"get":{"tags":["Processing entities"],"summary":"[External] Poll invoice blocks","operationId":"poll_invoice_blocks_api_v1_poll_invoice_blocks_get","parameters":[{"name":"inv_key","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"Inv Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/{endpoint_version}/process-invoice":{"post":{"tags":["Processing entities"],"summary":"[External] Process invoice","operationId":"process_invoice_api__endpoint_version__process_invoice_post","parameters":[{"name":"endpoint_version","in":"path","required":true,"schema":{"enum":["v1","v2"],"type":"string","title":"Endpoint Version"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProcessDocumentRequest"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/{endpoint_version}/process-invoice/upload":{"post":{"tags":["Processing entities"],"summary":"[External] Process invoice (multipart upload)","operationId":"process_invoice_upload_api__endpoint_version__process_invoice_upload_post","parameters":[{"name":"endpoint_version","in":"path","required":true,"schema":{"enum":["v1","v2"],"type":"string","title":"Endpoint Version"}}],"requestBody":{"required":true,"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/Body_process_invoice_upload_api__endpoint_version__process_invoice_upload_post"}}}},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/learn":{"post":{"tags":["Processing entities"],"summary":"[External] Feedback polled invoice","operationId":"feedback_polled_invoice_api_v1_learn_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeedbackPolledDocumentRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/report-error":{"post":{"tags":["Processing entities"],"summary":"[External] Report error","operationId":"report_error_api_v1_report_error_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReportErrorRequest"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices":{"get":{"tags":["Received invoices"],"summary":"[Internal] List received invoices","operationId":"list_documents_api_received_invoices_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":10,"title":"Limit"}},{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/DocumentStatus"},{"type":"null"}],"title":"Status"}},{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"to_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"To Date"}},{"name":"from_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"From Date"}},{"name":"file_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"File Name"}},{"name":"supplier_vat_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Vat Id"}},{"name":"supplier_name","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Supplier Name"}},{"name":"document_id_number","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Document Id Number"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/filter":{"post":{"tags":["Received invoices"],"summary":"[Internal] Filter received invoices by field values","operationId":"filter_documents_api_received_invoices_filter_post","parameters":[{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}},{"name":"order_by_column","in":"query","required":false,"schema":{"type":"string","default":"created_at","title":"Order By Column"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDocumentsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentsWithDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/count":{"post":{"tags":["Received invoices"],"summary":"[Internal] Count received invoices by field values","operationId":"count_documents_api_received_invoices_count_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FilterDocumentsRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CountDocumentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/waiting-export":{"get":{"tags":["Received invoices"],"summary":"[Internal] List received invoices waiting for export","operationId":"list_documents_waiting_export_api_received_invoices_waiting_export_get","parameters":[{"name":"business_unit_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Business Unit Id"}},{"name":"business_unit","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Business Unit"}},{"name":"business_unit_ident","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Business Unit Ident"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}},{"name":"sort_ascending","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Sort Ascending"}},{"name":"order_by_column","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Order By Column"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/created-by-options":{"get":{"tags":["Received invoices"],"summary":"Get options for created_by.","operationId":"get_created_by_options_api_received_invoices_created_by_options_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCreatedByOptionsResponse"}}}}}}},"/api/received-invoices/{aggregate_id}":{"get":{"tags":["Received invoices"],"summary":"[Internal] Get received invoice by id","operationId":"get_document_api_received_invoices__aggregate_id__get","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"put_in_review","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Put In Review"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceivedDocumentDetailsDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Received invoices"],"summary":"[Internal] Delete received invoice by id","operationId":"delete_document_api_received_invoices__aggregate_id__delete","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/markdown":{"get":{"tags":["Received invoices"],"summary":"[Internal] Get received invoice markdown by id","operationId":"get_document_markdown_api_received_invoices__aggregate_id__markdown_get","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/notes":{"post":{"tags":["Received invoices"],"summary":"Add a note to a received invoice","operationId":"add_document_note_api_received_invoices__aggregate_id__notes_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDocumentNoteRequest"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentNoteDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Received invoices"],"summary":"List the note history of a received invoice","operationId":"list_document_notes_api_received_invoices__aggregate_id__notes_get","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListDocumentNotesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/notes/{note_id}":{"patch":{"tags":["Received invoices"],"summary":"Edit a note on a received invoice","operationId":"edit_document_note_api_received_invoices__aggregate_id__notes__note_id__patch","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"note_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Note Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EditDocumentNoteRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentNoteDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Received invoices"],"summary":"Delete a note from a received invoice","operationId":"delete_document_note_api_received_invoices__aggregate_id__notes__note_id__delete","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"note_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Note Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/confirm":{"post":{"tags":["Received invoices"],"summary":"[Internal] Confirm received invoice","operationId":"confirm_document_api_received_invoices__aggregate_id__confirm_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmDocumentRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceivedDocumentDetailsDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/approve":{"post":{"tags":["Received invoices"],"summary":"Approve a received invoice","operationId":"approve_document_api_received_invoices__aggregate_id__approve_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApproveDocumentRequest","default":{}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/reject-approval":{"post":{"tags":["Received invoices"],"summary":"Reject a received invoice's approval","operationId":"reject_document_approval_api_received_invoices__aggregate_id__reject_approval_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RejectDocumentApprovalRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/reassign-approval":{"post":{"tags":["Received invoices"],"summary":"Reassign a received invoice's approval","operationId":"reassign_document_approval_api_received_invoices__aggregate_id__reassign_approval_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReassignDocumentApprovalRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/approvals":{"get":{"tags":["Received invoices"],"summary":"Approval history of a received invoice","operationId":"list_document_approvals_api_received_invoices__aggregate_id__approvals_get","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentApprovalsDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/move":{"patch":{"tags":["Received invoices"],"summary":"[Internal] Move received invoice","operationId":"move_document_api_received_invoices__aggregate_id__move_patch","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"new_business_unit_id","in":"query","required":true,"schema":{"type":"string","format":"uuid","title":"New Business Unit Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/bad-model":{"post":{"tags":["Received invoices"],"summary":"[Internal] Bad model notification","operationId":"bad_model_notification_api_received_invoices__aggregate_id__bad_model_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/put-to-waiting-review":{"post":{"tags":["Received invoices"],"summary":"[Internal] Put to waiting review","operationId":"put_to_waiting_review_api_received_invoices__aggregate_id__put_to_waiting_review_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/reject":{"post":{"tags":["Received invoices"],"summary":"[Internal] Reject received invoice","operationId":"reject_document_api_received_invoices__aggregate_id__reject_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RejectDocumentRequest","default":{}}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/retry-extraction":{"post":{"tags":["Received invoices"],"summary":"[Internal] Retry extraction","operationId":"retry_extraction_api_received_invoices__aggregate_id__retry_extraction_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/status":{"patch":{"tags":["Received invoices"],"summary":"[Internal] Set invoice status","operationId":"set_document_status_api_received_invoices__aggregate_id__status_patch","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetInvoiceStatusRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/partner":{"post":{"tags":["Received invoices"],"summary":"[Internal] Link partner to document","operationId":"link_partner_api_received_invoices__aggregate_id__partner_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LinkPartnerRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/details":{"patch":{"tags":["Received invoices"],"summary":"[Internal] Update invoice details","operationId":"update_document_details_api_received_invoices__aggregate_id__details_patch","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateDocumentDetailsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceivedDocumentDetailsDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/tags":{"put":{"tags":["Received invoices"],"summary":"[Internal] Set the tags on a received invoice","operationId":"set_document_tags_api_received_invoices__aggregate_id__tags_put","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetDocumentTagsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReceivedDocumentDetailsDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/export-data":{"get":{"tags":["Received invoices"],"summary":"[Internal] Export invoice data","operationId":"export_document_data_api_received_invoices__aggregate_id__export_data_get","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}},{"name":"put_in_export","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Put In Export"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentExportDataDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/{aggregate_id}/reexport":{"post":{"tags":["Received invoices"],"summary":"[Internal] Reexport invoice","operationId":"reexport_document_api_received_invoices__aggregate_id__reexport_post","parameters":[{"name":"aggregate_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Aggregate Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-delete":{"post":{"tags":["Received invoices"],"summary":"Bulk Delete invoices","operationId":"bulk_delete_documents_api_received_invoices_bulk_delete_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bulkdocumentactionquery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/archive-export":{"post":{"tags":["Received invoices"],"summary":"ZIP Archive export invoices","operationId":"archive_export_documents_api_received_invoices_archive_export_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ArchiveExportDocumentsQuery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-approve":{"post":{"tags":["Received invoices"],"summary":"Bulk approve invoices","operationId":"bulk_approve_documents_api_received_invoices_bulk_approve_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkApproveDocumentsQuery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-reject-approval":{"post":{"tags":["Received invoices"],"summary":"Bulk reject invoice approvals","operationId":"bulk_reject_approval_documents_api_received_invoices_bulk_reject_approval_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkRejectApprovalDocumentsQuery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-reexport":{"post":{"tags":["Received invoices"],"summary":"Bulk re-export","operationId":"bulk_reexport_documents_api_received_invoices_bulk_reexport_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bulkdocumentactionquery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-confirm":{"post":{"tags":["Received invoices"],"summary":"Bulk confirm invoices","operationId":"bulk_confirm_documents_api_received_invoices_bulk_confirm_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bulkdocumentactionquery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-move-to-review":{"post":{"tags":["Received invoices"],"summary":"Bulk move to waiting review","operationId":"bulk_move_to_review_documents_api_received_invoices_bulk_move_to_review_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Bulkdocumentactionquery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/received-invoices/bulk-move-to-business-unit":{"post":{"tags":["Received invoices"],"summary":"Bulk move to another business unit","operationId":"bulk_move_to_business_unit_documents_api_received_invoices_bulk_move_to_business_unit_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkMoveToBusinessUnitQuery"}}},"required":true},"responses":{"202":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BulkActionSubmittedDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/roles":{"get":{"tags":["Roles"],"summary":"[Internal] List roles","operationId":"role_list_api_roles_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListRolesResponse"}}}}}},"post":{"tags":["Roles"],"summary":"[Internal] Create role","operationId":"role_create_api_roles_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRoleRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/roles/{role_id}":{"get":{"tags":["Roles"],"summary":"[Internal] Get role by id","operationId":"role_get_by_id_api_roles__role_id__get","parameters":[{"name":"role_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Roles"],"summary":"[Internal] Update role","operationId":"role_update_api_roles__role_id__patch","parameters":[{"name":"role_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Role Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRoleRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Roles"],"summary":"[Internal] Delete role","operationId":"role_delete_api_roles__role_id__delete","parameters":[{"name":"role_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions":{"get":{"tags":["Subscriptions"],"summary":"[Internal] List subscriptions","operationId":"list_subscriptions_api_subscriptions_get","parameters":[{"name":"status","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/SubscriptionStatus"},{"type":"null"}],"title":"Status"}},{"name":"subscription_type","in":"query","required":false,"schema":{"anyOf":[{"$ref":"#/components/schemas/SubscriptionPlanType"},{"type":"null"}],"title":"Subscription Type"}},{"name":"limit","in":"query","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListSubscriptionsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Subscriptions"],"summary":"[Internal] Create subscription","operationId":"subscription_create_api_subscriptions_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateSubscriptionRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/usage-packages-and-plans":{"get":{"tags":["Subscriptions"],"summary":"[Internal] List subscriptions","operationId":"get_subscriptions_pricing_api_subscriptions_usage_packages_and_plans_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionUsagePackagesAndPlansDTO"}}}}}}},"/api/subscriptions/{subscription_id}/usage-package":{"patch":{"tags":["Subscriptions"],"summary":"[Internal] Update subscription usage package","operationId":"subscription_update_usage_package_api_subscriptions__subscription_id__usage_package_patch","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubscriptionUsagePackageRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/{subscription_id}/support-package":{"patch":{"tags":["Subscriptions"],"summary":"[Internal] Update subscription support package","operationId":"subscription_update_support_package_api_subscriptions__subscription_id__support_package_patch","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubscriptionSupportPackageRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/{subscription_id}/plan":{"patch":{"tags":["Subscriptions"],"summary":"[Internal] Update subscription plan","operationId":"subscription_update_plan_api_subscriptions__subscription_id__plan_patch","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSubscriptionPlanRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/{subscription_id}":{"delete":{"tags":["Subscriptions"],"summary":"[Internal] Cancel subscription","operationId":"subscription_cancel_api_subscriptions__subscription_id__delete","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}},{"name":"cancellation_date","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Cancellation Date"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Subscriptions"],"summary":"[Internal] Get subscription by id","operationId":"subscription_get_by_id_api_subscriptions__subscription_id__get","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/{subscription_id}/page-credits":{"post":{"tags":["Subscriptions"],"summary":"[Internal] Grant free page credits to a subscription","operationId":"add_page_credits_api_subscriptions__subscription_id__page_credits_post","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddPageCreditsRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/{subscription_id}/usage":{"get":{"tags":["Subscriptions"],"summary":"[Internal] Get usage for subscription","operationId":"get_usage_for_subscription_api_subscriptions__subscription_id__usage_get","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionUsageApiDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Subscriptions"],"summary":"Add Usage","description":"Can only be used to add SUPPORT_MINUTES!","operationId":"add_usage_api_subscriptions__subscription_id__usage_post","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddUsageRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsageDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/subscriptions/v2/{subscription_id}/usage":{"get":{"tags":["Subscriptions"],"summary":"[Internal] Get delegation-aware usage breakdown for subscription","operationId":"get_usage_breakdown_for_subscription_api_subscriptions_v2__subscription_id__usage_get","parameters":[{"name":"subscription_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Subscription Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SubscriptionUsageBreakdownApiDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/tags":{"get":{"tags":["Tags"],"summary":"[Internal] List tags","operationId":"list_tags_api_tags_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListTagsResponse"}}}}}},"post":{"tags":["Tags"],"summary":"[Internal] Create tag","operationId":"create_tag_api_tags_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTagRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/tags/{tag_id}":{"patch":{"tags":["Tags"],"summary":"[Internal] Update tag","operationId":"update_tag_api_tags__tag_id__patch","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tag Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTagRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TagDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Tags"],"summary":"[Internal] Delete tag","operationId":"delete_tag_api_tags__tag_id__delete","parameters":[{"name":"tag_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Tag Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/partners":{"get":{"tags":["Partners"],"summary":"[Internal] List partners","operationId":"list_partners_api_partners_get","parameters":[{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"default":10,"title":"Limit"}},{"name":"start_key","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Start Key"}},{"name":"active","in":"query","required":false,"schema":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Active"}},{"name":"search","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPartnersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Partners"],"summary":"[Internal] Create partner","operationId":"create_partner_api_partners_post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreatePartnerRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/partners/{partner_id}":{"get":{"tags":["Partners"],"summary":"[Internal] Get partner by id","operationId":"get_partner_api_partners__partner_id__get","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Partner Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Partners"],"summary":"[Internal] Update partner","operationId":"update_partner_api_partners__partner_id__patch","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Partner Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdatePartnerRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/partners/{partner_id}/status":{"patch":{"tags":["Partners"],"summary":"[Internal] Update partner status","operationId":"set_partner_status_api_partners__partner_id__status_patch","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Partner Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetPartnerStatusRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/partners/{partner_id}/aliases":{"get":{"tags":["Partners"],"summary":"[Internal] List partner recognition aliases","operationId":"list_partner_aliases_api_partners__partner_id__aliases_get","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Partner Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerAliasDTO"},"title":"Response List Partner Aliases Api Partners  Partner Id  Aliases Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/partners/{partner_id}/aliases/{alias_id}":{"delete":{"tags":["Partners"],"summary":"[Internal] Delete a partner recognition alias","operationId":"delete_partner_alias_api_partners__partner_id__aliases__alias_id__delete","parameters":[{"name":"partner_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Partner Id"}},{"name":"alias_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Alias Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/typless/supplier/{supplier_name}":{"get":{"tags":["Typless"],"summary":"[Internal] Typless supplier","operationId":"typless_supplier_api_typless_supplier__supplier_name__get","parameters":[{"name":"supplier_name","in":"path","required":true,"schema":{"type":"string","title":"Supplier Name"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/typless/supplier/{supplier_id}/lock":{"post":{"tags":["Typless"],"summary":"[Internal] Typless lock supplier","operationId":"typless_lock_supplier_api_typless_supplier__supplier_id__lock_post","parameters":[{"name":"supplier_id","in":"path","required":true,"schema":{"type":"string","title":"Supplier Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/typless/supplier/{supplier_id}/unlock":{"post":{"tags":["Typless"],"summary":"[Internal] Typless unlock supplier","operationId":"typless_unlock_supplier_api_typless_supplier__supplier_id__unlock_post","parameters":[{"name":"supplier_id","in":"path","required":true,"schema":{"type":"string","title":"Supplier Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/api/v1/tenant/usage":{"get":{"tags":["Tenant"],"summary":"[Internal] Tenant usage","operationId":"tenant_usage_api_v1_tenant_usage_get","parameters":[{"name":"from_date","in":"query","required":true,"schema":{"type":"string","format":"date","title":"From Date"}},{"name":"to_date","in":"query","required":true,"schema":{"type":"string","format":"date","title":"To Date"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantUsageDTO"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidati
[...]
